import { DisplayMode, InternalLanguage, InternalLanguageDef, Language, Options, Token } from './types';
export * from './detect';
export declare const default_options: Options;
export declare const languages: {
    [key: string]: DynamicImport;
};
export declare function sanitize(str: string): string;
export declare function to_span(str: string, token?: Token): string;
type DynamicImport = {
    default: InternalLanguageDef;
    type?: Token;
};
export declare function tokenize(str: string, language: Language | InternalLanguage, token_callback: (name: string, token?: Token) => void): Promise<void>;
export declare function highlight_text(src: string, lang: Language, multiline?: boolean, opt?: Options): Promise<string>;
export declare function highlight_element(elm: HTMLElement, lang?: Language, mode?: DisplayMode, opt?: Options): Promise<void>;
