export type Token = 'deleted' | 'err' | 'var' | 'section' | 'kwd' | 'class' | 'cmnt' | 'insert' | 'type' | 'func' | 'bool' | 'num' | 'oper' | 'str';
export type Language = 'asm' | 'bash' | 'bf' | 'c' | 'css' | 'csv' | 'diff' | 'docker' | 'git' | 'go' | 'html' | 'http' | 'ini' | 'java' | 'js' | 'js_template_literals' | 'jsdoc' | 'json' | 'leanpub-md' | 'log' | 'lua' | 'make' | 'md' | 'pl' | 'plain' | 'py' | 'regex' | 'rs' | 'sql' | 'todo' | 'toml' | 'ts' | 'uri' | 'xml' | 'yaml';
export interface Options {
    hide_line_numbers?: boolean;
}
export type DisplayMode = 'inline' | 'oneline' | 'multiline';
export interface InternalLanguage {
    default?: InternalLanguage[];
    type?: Token;
    expand?: 'str' | 'num' | 'strDouble';
    match?: RegExp | CustomRegex;
    sub?: Language | ((code: string) => Language) | ((code: string) => InternalLanguage) | InternalLanguage[];
}
export type InternalLanguageDef = InternalLanguage[];
export interface TokenDef {
    index: number | null;
    match: string;
    part: InternalLanguage;
    end: number;
    lastIndex?: number;
}
export interface CacheDef {
    match: RegExpExecArray | CustomRegexResponse;
    lastIndex: number;
}
export type CustomRegexResponse = {
    index: number;
    0: string;
};
export declare class CustomRegex {
    lastIndex: number;
    exec(_: string): CustomRegexResponse | null;
}
